Page MenuHomePhabricator

Gadget usage statistics for Portuguese Wikipedia
Closed, ResolvedPublic

Description

This issue was converted from https://jira.toolserver.org/browse/DBQ-197.
Summary: User preferences usage on Portuguese Wikipedia
Issue type: Task - A task that needs to be done.
Priority: Major
Status: Open
Assignee: @Alchimista


From: @He7d3r
Date: Sun, 28 Oct 2012 17:59:19

I would like to get a table like this
https://en.wikipedia.org/wiki/Wikipedia:Database_reports/User_preferences#Gadgets
for Portuguese Wikipedia.

This might be useful to get it:
https://en.wikipedia.org/wiki/Wikipedia:Database_reports/User_preferences/Configuration

See Also:
T21288: Gadget usage statistics

Details

Reference
bz59480

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:34 AM
bzimport set Reference to bz59480.

From: alchimista <andrepintto@gmail.com>

Date: Mon, 29 Oct 2012 21:42:05

I can do it Helder, can we talk locally and discuss how do you want it, and * when *?

TTO added a comment.Sep 16 2014, 10:59 AM

This query request is old. If you no longer require this query to be run, please close this bug as WONTFIX. Thanks!

Ideally, these stats should be updated periodically, but I would like an update before closing this. This is mostly useful to keep an updated table on
https://pt.wikipedia.org/wiki/WP:Gadget#Estat.C3.ADsticas_de_utiliza.C3.A7.C3.A3o
as a workaround for bug 19288.

TTO triaged this task as Lowest priority.Nov 26 2014, 11:42 AM
TTO updated the task description. (Show Details)
TTO set Security to None.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: Alchimista.
He7d3r added a comment.EditedApr 11 2015, 2:05 PM

use ptwiki_p;
SELECT up_property,up_value,COUNT(*) FROM user_properties WHERE up_property LIKE 'gadget%' GROUP BY up_property,up_value;

Resultset (0 rows) on
http://quarry.wmflabs.org/query/3162
and
http://quarry.wmflabs.org/query/219
(due to T60196?)

He7d3r renamed this task from DBQ-197 User preferences usage on Portuguese Wikipedia to Gadget usage statistics for Portuguese Wikipedia.Apr 11 2015, 2:23 PM
Halfak added a subscriber: Halfak.Apr 11 2015, 3:10 PM

Here's my query:

SELECT 
  SUBSTR(up_property, 8) as gadget, 
  CAST(up_value AS SIGNED) AS enabled, 
  COUNT(DISTINCT up_user) AS users,
  IFNULL(SUM(recent_edits > 0), 0) AS recently_active_users
FROM user_properties
LEFT JOIN (
  SELECT
    rev_user AS user_id,
    COUNT(*) AS recent_edits
  FROM revision
  WHERE rev_timestamp BETWEEN "20140411" AND "20150411"
  GROUP BY rev_user
) AS recent_activity ON user_id = up_user
WHERE up_property LIKE 'gadget-%'
GROUP BY up_property, up_value;
He7d3r closed this task as Resolved.Apr 11 2015, 3:20 PM
He7d3r claimed this task.

Thanks!